stages:
  - "Publishing"

variables:
  GIT_SUBMODULE_STRATEGY: recursive

pages:
  stage: "Publishing"
  tags: ["guix"]
  script:
    - >
      guix time-machine -C .guix/channels.scm -- shell --pure
      -m .guix/manifest.scm --
      emacs --batch --no-init-file --load publish.el
      --eval '(org-publish "cmiisr-figures")'
    - >
      guix time-machine -C .guix/channels.scm -- shell --pure
      -m .guix/manifest.scm --
      emacs --batch --no-init-file --load publish.el
      --eval '(org-publish "cmiisr")'
  rules:
    - if: '$CI_COMMIT_BRANCH == "principale"'
  artifacts:
    paths:
      - public
